@import "src/assets/styles/00-settings/settings";

$picture-size: 50px;
$comment-color: $color-green-blue;

.comment-wrapper {
  display: grid;
  grid-template:auto / $picture-size 1fr auto;
  margin: 25px auto;
  background-color: rgba($comment-color, .3);
  padding: 5px 20px 5px 5px;
  align-items: center;

  &.is-sub-comment {
    margin-left: $picture-size;

    $sub-comment-color: $color-blue;
    background-color: rgba($sub-comment-color, .3);

    .comment-editor {
      color: $sub-comment-color;
    }

    .comment-date {
      color: $sub-comment-color;
    }
  }

  .comment-editor-picture {
    width: 60px;
    grid-column: 1;
  }

  .comment-editor {
    font-weight: 900;
    color: $comment-color;
  }

  .comment-date {
    color: $comment-color;
  }

  .comment-content {
    grid-column: 2;
    padding: 5px 0;
  }

  .comment-button-answers-wrapper {
    grid-column: 3;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    cursor: pointer;

    .icon {
      font-weight: 900;
      transition: .3s;
      font-size: small;
    }
  }
}

@media screen and (max-width: $M) {
  .comment-wrapper {
    &.is-sub-comment {
      margin-left: 0;
    }
  }
}

